## qtxdg-tools 3.9.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(qtxdg-tools)

set(QTXDG_TOOLS_MAJOR_VERSION 3)
set(QTXDG_TOOLS_MINOR_VERSION 9)
set(QTXDG_TOOLS_PATCH_VERSION 1)
set(QTXDG_TOOLS_VERSION_STRING ${QTXDG_TOOLS_MAJOR_VERSION}.${QTXDG_TOOLS_MINOR_VERSION}.${QTXDG_TOOLS_PATCH_VERSION})

set(LXQTBT_MINIMUM_VERSION "0.11.0")
set(QTXDG_MINIMUM_VERSION "3.9.1")
set(QT_MINIMUM_VERSION "5.15.0")

find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Core)
find_package(Qt5Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)

include(GNUInstallDirs)             # Standard directories for installation
include(FeatureSummary)
include(CMakePackageConfigHelpers)
include(GenerateExportHeader)

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

set(CMAKE_AUTOMOC ON)

add_subdirectory(src)

configure_package_config_file(
    "${PROJECT_SOURCE_DIR}/cmake/qtxdg-tools-config.cmake.in"
    "${CMAKE_BINARY_DIR}/qtxdg-tools-config.cmake"
    INSTALL_DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/qtxdg-tools"
)

write_basic_package_version_file(
    "${CMAKE_BINARY_DIR}/qtxdg-tools-config-version.cmake"
    VERSION ${QTXDG_TOOLS_VERSION_STRING}
    COMPATIBILITY AnyNewerVersion
)

install(FILES
    "${CMAKE_BINARY_DIR}/qtxdg-tools-config.cmake"
    "${CMAKE_BINARY_DIR}/qtxdg-tools-config-version.cmake"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/qtxdg-tools"
    COMPONENT Devel
)

install(EXPORT
    "qtxdg-tools-targets"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/qtxdg-tools"
    FILE "qtxdg-tools-targets.cmake"
    COMPONENT Devel
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
qtxdg-tools (3.9.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 03 Sep 2022 12:23:41 -0700

qtxdg-tools (3.9.1-1) experimental; urgency=medium

  * Initial release (Closes: #1014257).

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 02 Jul 2022 20:54:54 -0500

=== debian/control ===
Source: qtxdg-tools
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libqt5xdg-dev (>= 3.9.1),
               libqt5xdgiconloader-dev (>= 3.9.1),
               lxqt-build-tools (>= 0.11.0)
Standards-Version: 4.6.1
Vcs-Browser: https://github.com/lubuntu-team/qtxdg-tools-packaging/
Vcs-Git: https://github.com/lubuntu-team/qtxdg-tools-packaging.git
Homepage: https://github.com/lxqt/qtxdg-tools

Package: qtxdg-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: User tools for libqtxdg
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains a CLI MIME tool, qtxdg-mat, for handling file
 associations and opening files with their default applications.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

#override_dh_missing:
#	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

# No dbgsym package:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/qtxdg-tools/releases .*/qtxdg-tools-([\d\.]+).tar.xz

## qtxdg-tools 3.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,12 @@
 project(qtxdg-tools)
 
 set(QTXDG_TOOLS_MAJOR_VERSION 3)
-set(QTXDG_TOOLS_MINOR_VERSION 9)
-set(QTXDG_TOOLS_PATCH_VERSION 1)
+set(QTXDG_TOOLS_MINOR_VERSION 10)
+set(QTXDG_TOOLS_PATCH_VERSION 0)
 set(QTXDG_TOOLS_VERSION_STRING ${QTXDG_TOOLS_MAJOR_VERSION}.${QTXDG_TOOLS_MINOR_VERSION}.${QTXDG_TOOLS_PATCH_VERSION})
 
-set(LXQTBT_MINIMUM_VERSION "0.11.0")
-set(QTXDG_MINIMUM_VERSION "3.9.1")
+set(LXQTBT_MINIMUM_VERSION "0.12.0")
+set(QTXDG_MINIMUM_VERSION "3.10.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

=== src/mat/CMakeLists.txt ===
add_executable(qtxdg-mat
    matcommandmanager.cpp
    matcommandinterface.cpp
    defappmatcommand.cpp
    openmatcommand.cpp
    mimetypematcommand.cpp
    defwebbrowsermatcommand.cpp
    defemailclientmatcommand.cpp
    deffilemanagermatcommand.cpp
    defterminalmatcommand.cpp

    qtxdg-mat.cpp
)

target_compile_definitions(qtxdg-mat
    PRIVATE
        "-DQTXDG_TOOLS_VERSION=\"${QTXDG_TOOLS_VERSION_STRING}\""
        "QT_NO_KEYWORDS"
)

target_link_libraries(qtxdg-mat
    Qt5::Core
    Qt5Xdg
)

install(TARGETS
    qtxdg-mat
    DESTINATION "${CMAKE_INSTALL_BINDIR}"
    EXPORT "qtxdg-tools-targets"
    COMPONENT Runtime
)

=== debian/changelog ===
qtxdg-tools (3.10.0-2) unstable; urgency=medium

  * Add missing Breaks/Replaces (Closes: #1034957)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 28 Apr 2023 00:10:21 +0800

qtxdg-tools (3.10.0-1) unstable; urgency=medium

  [ Palo Kisa ]
  * New upstream release
  * debian/watch: Fix github uscan processing
  * debian: Add gbp config

  [ ChangZhuo Chen (陳昌倬) ]
  * Add ChangZhuo Chen as Uploaders.
  * Add Repository-Browse in d/upstream/mateadata.
  * Update Build-Depends.
  * Refactor d/copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 08 Dec 2022 01:09:08 +0800

qtxdg-tools (3.9.1-3) unstable; urgency=medium

  [ Aaron Rainbolt ]
  * debian/watch: Overhaul watch file to make it compatible with GitHub
    again.
  * debian/control: Added 'Rules-Requires-Root: no' to silence a Lintian
    gripe.
  * debian/copyright: Added Aaron Rainbolt.
  * debian/control: Fixed Vcs-Browser and Vcs-Git fields to point to
    Debian Salsa rather than Lubuntu GitHub.
  [ Andrew Lee (李健秋) ]
  * debian/salsa-ci.yml: disable build in experimental to make piuparts
    happy.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 11 Nov 2022 13:03:57 +0800

qtxdg-tools (3.9.1-2) unstable; urgency=medium

  * Added debian/salsa-ci.yml file.
  * debian/watch: fix uscan error.
  * debian/rules: Remove unnecessary -Wl,--as-needed.
  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.
  * Added myself as uploader.
  * debian/lintian-overrides: no-manual-page for qtxdg-mat.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 27 Oct 2022 12:11:24 +0800

=== debian/control ===
Source: qtxdg-tools
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libqt5xdg-dev (>= 3.10.0~),
               libqt5xdgiconloader-dev (>= 3.10.0~),
               lxqt-build-tools (>= 0.12.0~)
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/qtxdg-tools
Vcs-Git: https://salsa.debian.org/lxqt-team/qtxdg-tools.git
Homepage: https://github.com/lxqt/qtxdg-tools
Rules-Requires-Root: no

Package: qtxdg-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: qtxdg-dev-tools (<< 3.9.1)
Replaces: qtxdg-dev-tools (<< 3.9.1)
Description: User tools for libqtxdg
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains a CLI MIME tool, qtxdg-mat, for handling file
 associations and opening files with their default applications.

## qtxdg-tools 3.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,12 @@
 project(qtxdg-tools)
 
 set(QTXDG_TOOLS_MAJOR_VERSION 3)
-set(QTXDG_TOOLS_MINOR_VERSION 10)
+set(QTXDG_TOOLS_MINOR_VERSION 11)
 set(QTXDG_TOOLS_PATCH_VERSION 0)
 set(QTXDG_TOOLS_VERSION_STRING ${QTXDG_TOOLS_MAJOR_VERSION}.${QTXDG_TOOLS_MINOR_VERSION}.${QTXDG_TOOLS_PATCH_VERSION})
 
-set(LXQTBT_MINIMUM_VERSION "0.12.0")
-set(QTXDG_MINIMUM_VERSION "3.10.0")
+set(LXQTBT_MINIMUM_VERSION "0.13.0")
+set(QTXDG_MINIMUM_VERSION "3.11.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
qtxdg-tools (3.11.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 26 Jul 2023 12:41:05 -0500

qtxdg-tools (3.10.0-1ubuntu1) lunar; urgency=medium

  [ Andrew Lee ]
  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.

  [ Aaron Rainbolt ]
  * Revert a sync from Debian.
  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Updated copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 09 Feb 2023 14:58:00 -0600

qtxdg-tools (3.10.0-0ubuntu2) lunar; urgency=medium

  * Updated copyright file.
  * Drop unnecessary debian/docs file.
  * Overrode a missing manpage Lintian gripe.
  * Added 'Rules-Requires-Root: no' to debian/control.
  * Removed obsolete "-Wl,--as-needed" linker flag.
  * Moved the package to the "admin" section since it doesn't really fit
    in "libs".
  * Fixed a typo in debian/control.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 29 Nov 2022 14:32:00 -0600

qtxdg-tools (3.10.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump build dependencies to the latest upstream LXQt versions.
  * Fix typo in the upstream metadata.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Nov 2022 19:05:55 -0600

qtxdg-tools (3.9.1-0ubuntu1) kinetic; urgency=medium

  * Initial release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 31 May 2022 18:45:28 -0500

=== debian/control ===
Source: qtxdg-tools
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@lubuntu.me>
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libqt5xdg-dev (>= 3.10.0),
               libqt5xdgiconloader-dev (>= 3.10.0),
               lxqt-build-tools (>= 0.12.0)
Standards-Version: 4.6.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/qtxdg-tools-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/qtxdg-tools-packaging.git
Homepage: https://github.com/lxqt/qtxdg-tools
Rules-Requires-Root: no

Package: qtxdg-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: User tools for libqtxdg
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains a CLI MIME tool, qtxdg-mat, for handling file
 associations and opening files with their default applications.

## qtxdg-tools 3.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,12 @@
 project(qtxdg-tools)
 
 set(QTXDG_TOOLS_MAJOR_VERSION 3)
-set(QTXDG_TOOLS_MINOR_VERSION 11)
+set(QTXDG_TOOLS_MINOR_VERSION 12)
 set(QTXDG_TOOLS_PATCH_VERSION 0)
 set(QTXDG_TOOLS_VERSION_STRING ${QTXDG_TOOLS_MAJOR_VERSION}.${QTXDG_TOOLS_MINOR_VERSION}.${QTXDG_TOOLS_PATCH_VERSION})
 
 set(LXQTBT_MINIMUM_VERSION "0.13.0")
-set(QTXDG_MINIMUM_VERSION "3.11.0")
+set(QTXDG_MINIMUM_VERSION "3.12.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

=== src/CMakeLists.txt ===
add_subdirectory(mat)

=== debian/changelog ===
qtxdg-tools (3.12.0-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:48:49 +0200

qtxdg-tools (3.12.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:08:46 +0000

qtxdg-tools (3.12.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:56:46 +0000

qtxdg-tools (3.12.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump build dependency versions.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Sun, 05 Nov 2023 15:25:31 -0600

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Section: admin
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libqt5xdg-dev (>= 3.10.0),
-               libqt5xdgiconloader-dev (>= 3.10.0),
-               lxqt-build-tools (>= 0.12.0)
+               libqt5xdg-dev (>= 3.12.0),
+               libqt5xdgiconloader-dev (>= 3.12.0),
+               lxqt-build-tools (>= 0.13.0)
 Standards-Version: 4.6.2
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/qtxdg-tools-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/qtxdg-tools-packaging.git

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## qtxdg-tools 4.0.0

=== debian/changelog ===
qtxdg-tools (4.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Update copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:05:28 -0500

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: admin
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libqt5xdg-dev (>= 3.12.0),
-               libqt5xdgiconloader-dev (>= 3.12.0),
-               lxqt-build-tools (>= 0.13.0)
-Standards-Version: 4.6.2
+               libqt6xdg-dev (>= 4.0.0),
+               libqt6xdgiconloader-dev (>= 4.0.0),
+               lxqt-build-tools (>= 2.0.0)
+Standards-Version: 4.7.0
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/qtxdg-tools-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/qtxdg-tools-packaging.git
 Homepage: https://github.com/lxqt/qtxdg-tools

## qtxdg-tools 4.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
@@ -6,18 +6,18 @@
 # versions.
 project(qtxdg-tools)
 
-set(QTXDG_TOOLS_MAJOR_VERSION 3)
-set(QTXDG_TOOLS_MINOR_VERSION 12)
+set(QTXDG_TOOLS_MAJOR_VERSION 4)
+set(QTXDG_TOOLS_MINOR_VERSION 1)
 set(QTXDG_TOOLS_PATCH_VERSION 0)
 set(QTXDG_TOOLS_VERSION_STRING ${QTXDG_TOOLS_MAJOR_VERSION}.${QTXDG_TOOLS_MINOR_VERSION}.${QTXDG_TOOLS_PATCH_VERSION})
 
-set(LXQTBT_MINIMUM_VERSION "0.13.0")
-set(QTXDG_MINIMUM_VERSION "3.12.0")
-set(QT_MINIMUM_VERSION "5.15.0")
+set(LXQTBT_MINIMUM_VERSION "2.1.0")
+set(QTXDG_MINIMUM_VERSION "4.1.0")
+set(QT_MINIMUM_VERSION "6.6.0")
 
-find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Core)
-find_package(Qt5Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Core)
+find_package(Qt6Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)
 
 include(GNUInstallDirs)             # Standard directories for installation
 include(FeatureSummary)

=== debian/changelog ===
qtxdg-tools (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0.
  * Clean up of group membership after 2nd calls.
  * debian/control: build-deps on lxqt-build-tools (>= 2.1.0~).
  * debian/control: build-deps on libqt6xdg-dev (>= 4.1.0~).
  * debian/control: build-deps on libqt6xdgiconloader-dev (>= 4.1.0~).
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 03 Dec 2024 20:26:33 +0100

qtxdg-tools (4.0.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 27 Nov 2024 18:31:22 +0100

qtxdg-tools (4.0.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream version 4.0.0
  * debian/control: bump Standards-Version to 4.7.0, no changes needed.
  * debian/control: build-deps on libqt6xdg-dev (>= 4.0.0~).
  * debian/control: build-deps on libqt6xdgiconloader-dev (>= 4.0.0~).
  * debian/control: build-deps on
    lxqt-build-tools (>= 2.0.0+really2.0.0~).
  * debian/control: build-deps on libglib2.0-dev.
  * debian/salsa-ci.yml: build against to experimental.

  [ Andrew Lee (李健秋) ]
  * debian/salsa-ci.yml: disable reprotest as not supported experimental.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 15 Sep 2024 17:26:21 +0200

qtxdg-tools (3.12.0-1) unstable; urgency=medium

  * New upstream version 3.12.0.
  * debian/control: build-deps on ibqt5xdg-dev (>= 3.12.0~).
  * debian/control: build-deps on libqt5xdgiconloader-dev (>= 3.12.0~).
  * debian/upstream/metadata: drop obsolete field Name.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 03 Dec 2023 11:56:10 +0100

qtxdg-tools (3.11.0-1) unstable; urgency=medium

  * New upstream version 3.11.0
  * debian/control: update team address.
  * debian/control: update team address.
  * debian/control: build-deps on libqt5xdg-dev (>= 3.11.0~)
  * debian/control: build-deps on libqt5xdgiconloader-dev (>= 3.11.0~).
  * debian/control: build-deps on lxqt-build-tools (>= 0.13.0~).
  * debian/copyright: update.
  * debian/upstream/metadata: update url for git repo.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 01 Jul 2023 10:54:49 +0200

=== debian/control ===
Source: qtxdg-tools
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libqt6xdg-dev (>= 4.1.0~),
               libqt6xdgiconloader-dev (>= 4.1.0~),
               libglib2.0-dev,
               lxqt-build-tools (>= 2.1.0~)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/qtxdg-tools
Vcs-Git: https://salsa.debian.org/lxqt-team/qtxdg-tools.git
Homepage: https://github.com/lxqt/qtxdg-tools
Rules-Requires-Root: no

Package: qtxdg-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: qtxdg-dev-tools (<< 3.9.1)
Replaces: qtxdg-dev-tools (<< 3.9.1)
Description: User tools for libqtxdg
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains a CLI MIME tool, qtxdg-mat, for handling file
 associations and opening files with their default applications.

## qtxdg-tools 4.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,12 @@
 project(qtxdg-tools)
 
 set(QTXDG_TOOLS_MAJOR_VERSION 4)
-set(QTXDG_TOOLS_MINOR_VERSION 1)
+set(QTXDG_TOOLS_MINOR_VERSION 2)
 set(QTXDG_TOOLS_PATCH_VERSION 0)
 set(QTXDG_TOOLS_VERSION_STRING ${QTXDG_TOOLS_MAJOR_VERSION}.${QTXDG_TOOLS_MINOR_VERSION}.${QTXDG_TOOLS_PATCH_VERSION})
 
-set(LXQTBT_MINIMUM_VERSION "2.1.0")
-set(QTXDG_MINIMUM_VERSION "4.1.0")
+set(LXQTBT_MINIMUM_VERSION "2.2.0")
+set(QTXDG_MINIMUM_VERSION "4.2.0")
 set(QT_MINIMUM_VERSION "6.6.0")
 
 find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

=== src/mat/CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,8 @@
 )
 
 target_link_libraries(qtxdg-mat
-    Qt5::Core
-    Qt5Xdg
+    Qt6::Core
+    Qt6Xdg
 )
 
 install(TARGETS

=== debian/changelog ===
qtxdg-tools (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0 (Closes: #1097757)
  * d/control: Update Standards-Version to 4.7.2.
  * d/control: Update Build-Depends.
  * d/copyright: Update copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 16 Aug 2025 22:52:09 +0800

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libqt6xdg-dev (>= 4.1.0~),
-               libqt6xdgiconloader-dev (>= 4.1.0~),
+               libqt6xdg-dev (>= 4.2.0~),
+               libqt6xdgiconloader-dev (>= 4.2.0~),
                libglib2.0-dev,
-               lxqt-build-tools (>= 2.1.0~)
-Standards-Version: 4.7.0
+               lxqt-build-tools (>= 2.2.0~)
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qtxdg-tools
 Vcs-Git: https://salsa.debian.org/lxqt-team/qtxdg-tools.git
 Homepage: https://github.com/lxqt/qtxdg-tools

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,6 @@
 	dh_auto_configure -- \
 		-DUPDATE_TRANSLATIONS=OFF \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
+
+execute_before_dh_auto_build:
+	@echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI[.]cpp.*"

## qtxdg-tools 4.3.0

=== debian/changelog ===
qtxdg-tools (4.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5.

  [ Andrew Lee (李健秋) ]
  * New upstream version 4.3.0.
  * debian/control: build-deps on libqt6xdg-dev (>= 4.3.0~).
  * debian/control: build-deps on libqt6xdgiconloader-dev (>= 4.3.0~).
  * debian/control: build-deps on lxqt-build-tools (>= 2.3.0~).
  * debian/control: drop breaks and replaces on obsoleted version.
  * debian/control: Drop Rules-Requires-Root: no (now the default).
  * Run wrap-and-sort.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 22 Nov 2025 10:27:38 +0100

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,19 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libqt6xdg-dev (>= 4.2.0~),
-               libqt6xdgiconloader-dev (>= 4.2.0~),
                libglib2.0-dev,
-               lxqt-build-tools (>= 2.2.0~)
+               libqt6xdg-dev (>= 4.3.0~),
+               libqt6xdgiconloader-dev (>= 4.3.0~),
+               lxqt-build-tools (>= 2.3.0~)
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qtxdg-tools
 Vcs-Git: https://salsa.debian.org/lxqt-team/qtxdg-tools.git
 Homepage: https://github.com/lxqt/qtxdg-tools
-Rules-Requires-Root: no
 
 Package: qtxdg-tools
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: qtxdg-dev-tools (<< 3.9.1)
-Replaces: qtxdg-dev-tools (<< 3.9.1)
 Description: User tools for libqtxdg
  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
  technologies. It has been tailored for users who value simplicity, speed, and
